// This Mixin is very Rails-Asset-Pipeline specific, and will not work as-is on a non-Rails deploy
@mixin declare-font-face($font-family, $font-filename, $font-weight : normal, $font-style :normal, $font-stretch : normal) {
  @font-face {
    font-family: '#{$font-family}';
    src: font-url('#{$font-filename}.eot'); /* IE9 Compat Modes */
    src: font-url('#{$font-filename}.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    font-url('#{$font-filename}.woff2') format('woff2'), /* Modern Browsers */
    font-url('#{$font-filename}.woff') format('woff'), /* Modern Browsers */
    font-url('#{$font-filename}.ttf')  format('truetype'), /* Safari, Android, iOS */
    font-url('#{$font-filename}.svg') format('svg'); /* Legacy iOS & Chrome Windows */
    font-style:   $font-style;
    font-weight:  $font-weight;
    font-stretch: $font-stretch;
  }
}

///////////////////////// Define Font Families

// *note: the declare-font-face mixin is SPECIFICALLY set up for the rails asset pipeline
//        to make it work for non-rails stuff, you'll need to edit the font-url to just "url"
//        you can do this inside of the "_utils.scss" file.

//usage: @include declare-font-face("[localFontName]", "[font-file-name-no-extension-needed]");

@include declare-font-face("", "");
@include declare-font-face("", "");
@include declare-font-face("", "");
@include declare-font-face("", "");


$boldsans: "Open Sans", "Avenir", "Helvetica Neue", Arial, sans-serif;
$sans: "Open Sans", "Avenir", "Helvetica Neue", Arial, sans-serif;
$blackserif: "Domine", Georgia, Times, 'Times New Roman', serif;
$serif: "Domine", Georgia, Times, 'Times New Roman', serif;

$body: "Open Sans", "Avenir", "Helvetica Neue", Arial, sans-serif;